Full name: media.upload
Upload a file into a RagCorpus.
Endpoint
- Upload URI, for media upload requests:
https://{service-endpoint}/upload/v1/{parent}/ragFiles:upload
- Metadata URI, for metadata-only requests:
https://{service-endpoint}/v1/{parent}/ragFiles:upload
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
parentstring
Required. The name of the RagCorpus resource into which to upload the file. Format: projects/{project}/locations/{location}/ragCorpora/{ragCorpus}
Request body
The request body contains data with the following structure:
Required. The RagFile to upload.
Required. The config for the RagFiles to be uploaded into the RagCorpus. VertexRagDataService.UploadRagFile.
Response body
Response message for VertexRagDataService.UploadRagFile.
If successful, the response body contains data with the following structure:
resultUnion type
The RagFile that had been uploaded into the RagCorpus.
The error that occurred while processing the RagFile.
UploadRagFileConfig
Config for uploading RagFile.
Specifies the transformation config for RagFiles.
| JSON representation |
|---|
{
"ragFileTransformationConfig": {
object ( |